
D4Science Infrastructure - VM Creation #9003

Task # 8566 (Closed): "Rehearsal" of Production Jackrabbit Migration from Derby to PostgreSQL

Provisioning for workspace-repository-prod1.d4science.org and

workspace-repository-prod.d4science.org

Jun 22, 2017 06:42 PM - Costantino Perciante

Status: Closed Start date: Jun 23, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: UnSprintable   

Infrastructure: Production Applications list and

version:

home-library-webapp-1.8.0

RAM: 12 Applications context

path:

/home-library-webapp

CPU: 4 External storage data

disk:

/data

/tomcat-temp

DiskSpace: 80 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: LATEST PostgreSQL

database:

Yes

Application

Instructions:

Staging war link:

http://maven.research-infrastructures.eu:

8081/nexus/content/repositories/gcube-s

taging/org/gcube/data/access/home-libra

ry-webapp/1.8.0-4.6.0-149356/home-libr

ary-webapp-1.8.0-4.6.0-149356.war

Number of VMs: 2

Smartgears scopes: /d4science.research-infrastructures.eu

/d4science.research-infrastructures.eu/F

ARM

/d4science.research-infrastructures.eu/S

oBigData

/d4science.research-infrastructures.eu/S

martArea

/d4science.research-infrastructures.eu/g

CubeApps

/d4science.research-infrastructures.eu/D

4research

  

Description

Both machines need the homelibrary webapp with smartgears. workspace-repository-prod1 needs a local postgres, whereas the

other machine will use a remote postgres version. I am using the VM Creation ticket template although the machines have been

already created (the original ticket is here #7877).

Please note that the machines run under the scope d4science.research-infrastructures.eu but to avoid problems with the

current machine in production, no GcoreEndpoint must be published (i.e. mode='offline' must be written in the

container.xml file) We will switch it later on.

They also need 80GB of disk storage to contain some of the content jackrabbit will create (indexes, configuration files), even if most

of the content will be on postgres.

Subtasks:

Task # 9010: ansible role that installs the home library webapp Closed

History
#1 - Jun 22, 2017 06:42 PM - Costantino Perciante

- Description updated

#2 - Jun 22, 2017 06:49 PM - Costantino Perciante

- Description updated

#3 - Jun 22, 2017 07:19 PM - Andrea Dell'Amico

A reminder: it's important that we switch to https as the only point of access, and close the 8080 from the outside.

#4 - Jun 23, 2017 11:47 AM - Andrea Dell'Amico

- Status changed from New to In Progress

On workspace-repository-prod.d4science.org I see:

/dev/xvda3       40G   33M   40G   1% /home/gcube/tomcat/temp

/dev/xvda4      100G   28G   73G  28% /data

 And the ansible configuration implies that that directory can be on a different file system. The same is not true on

workspace-repository-prod1.d4science.org.

I'm assuming that workspace-repository-prod.d4science.org has the correct configuration.

#5 - Jun 23, 2017 12:36 PM - Andrea Dell'Amico

- Smartgears scopes updated

- External storage data disk updated

- Number of VMs changed from 1 to 2

authorizeChildrenContext: true

#6 - Jun 23, 2017 01:29 PM - Andrea Dell'Amico

Provisioning is running on both servers.

#7 - Jun 23, 2017 01:56 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

The provisioning is complete.

workspace-repository-prod1.d4science.org still has a local postgresql instance, while both the VM can access the database that runs on

workspace-repository-pg.d4science.org.

database name, user name and password are the same on both postgresql servers.

The service answers on http and https, there is no http -> https redirection right now.

#8 - Jun 27, 2017 06:23 PM - Massimiliano Assante

- Status changed from Feedback to Closed
